version: 2
updates:
  # npm 패키지 업데이트
  - package-ecosystem: "npm"
    directory: "/"
    schedule:
      interval: "weekly"  # "daily", "weekly", "monthly"
    open-pull-requests-limit: 5
    ignore:
      # Expo, React 및 React Native 핵심 패키지
      - dependency-name: "@expo/*"
      - dependency-name: "@react-navigation/*"
      - dependency-name: "expo"
      - dependency-name: "expo-*"
      - dependency-name: "react"
      - dependency-name: "react-dom"
      - dependency-name: "react-native" 
      - dependency-name: "react-native-web" 
      - dependency-name: "eslint-config-expo" 
      # Expo 관련 패키지 (Expo install로 설치한 패키지들)
      - dependency-name: "@config-plugins/react-native-webrtc"
      - dependency-name: "@react-native-cookies/cookies"
      - dependency-name: "react-native-edge-to-edge"
      - dependency-name: "react-native-gesture-handler"
      - dependency-name: "react-native-pager-view"
      - dependency-name: "react-native-permissions"
      - dependency-name: "react-native-reanimated"
      - dependency-name: "react-native-safe-area-context"
      - dependency-name: "react-native-screens"
      - dependency-name: "react-native-svg"
      - dependency-name: "react-native-webview"
      # TypeScript 버전
      - dependency-name: "typescript"
        update-types: ["version-update:semver-major"]

  # GitHub Actions 워크플로우 업데이트
  - package-ecosystem: "github-actions"
    directory: "/"
    schedule:
      interval: "monthly"
    open-pull-requests-limit: 2
